package com.ym.mec.biz.dal.dto;

import io.swagger.annotations.ApiModelProperty;

import java.math.BigDecimal;
import java.util.List;

public class GoodsSellDto{
	@ApiModelProperty(value = "商品数量", required = false)
	private Integer goodsNum = 1;

	@ApiModelProperty(value = "商品编号", required = false)
	private Integer goodsId;

	@ApiModelProperty(value = "商品图片", required = false)
	private String image;

	@ApiModelProperty(value = "商品名称", required = false)
	private String goodsName;

	@ApiModelProperty(value = "商品销售类型", required = false)
	private String goodsType;

	@ApiModelProperty(value = "商品销售价", required = false)
	private BigDecimal goodsPrice = BigDecimal.ZERO;

	@ApiModelProperty(value = "商品销售总价", required = false)
	private BigDecimal totalGoodsPrice = BigDecimal.ZERO;

    @ApiModelProperty(value = "辅件商品列表", required = false)
    private String complementGoodsIdList;

    public String getComplementGoodsIdList() {
        return complementGoodsIdList;
    }

    public void setComplementGoodsIdList(String complementGoodsIdList) {
        this.complementGoodsIdList = complementGoodsIdList;
    }

	@ApiModelProperty(value = "组合商品子商品", required = false)
	private List<GoodsSellDto> goodsSellDtos;

	public List<GoodsSellDto> getGoodsSellDtos() {
		return goodsSellDtos;
	}

	public void setGoodsSellDtos(List<GoodsSellDto> goodsSellDtos) {
		this.goodsSellDtos = goodsSellDtos;
	}

	public String getGoodsType() {
		return goodsType;
	}

	public void setGoodsType(String goodsType) {
		this.goodsType = goodsType;
	}

	public BigDecimal getTotalGoodsPrice() {
		return totalGoodsPrice;
	}

	public void setTotalGoodsPrice(BigDecimal totalGoodsPrice) {
		this.totalGoodsPrice = totalGoodsPrice;
	}

	public BigDecimal getGoodsPrice() {
		return goodsPrice;
	}

	public void setGoodsPrice(BigDecimal goodsPrice) {
		this.goodsPrice = goodsPrice;
	}

	public String getImage() {
		return image;
	}

	public void setImage(String image) {
		this.image = image;
	}

	public String getGoodsName() {
		return goodsName;
	}

	public void setGoodsName(String goodsName) {
		this.goodsName = goodsName;
	}

	public Integer getGoodsNum() {
		return goodsNum;
	}

	public void setGoodsNum(Integer goodsNum) {
		this.goodsNum = goodsNum;
	}

	public Integer getGoodsId() {
		return goodsId;
	}

	public void setGoodsId(Integer goodsId) {
		this.goodsId = goodsId;
	}
}
